Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8151283

Implement setting jtreg @requires property vm.isG1Supported.

    Details

    • Type: Enhancement
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 9
    • Fix Version/s: 9
    • Component/s: hotspot
    • Labels:
    • Subcomponent:
      gc
    • Resolved In Build:
      b127

      Description

      As of https://bugs.openjdk.java.net/browse/CODETOOLS-7901583 is resolved it's possible now to new properties for @requires expressions.

      To be able to skip execution tests for G1 on platforms where G1 is not supported vm.isG1Supporeted property should be introduced.
      Then the tests for g1 should be modified to use this property in the @requires expression.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                dfazunen Dmitry Fazunenko (Inactive)
                Reporter:
                dfazunen Dmitry Fazunenko (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: